- Update survey response custom fields by id
Fetch survey response(s) by id
Ingest survey response
Delete survey response(s) by id
Search survey responses
Update survey response cu...
Security
bearerAuth and apiKeyAuth
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/surveyResponse
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/surveyResponse
curl -i -X PUT \
'https://api3.sprinklr.com/prod/api/v3/surveyResponse?id=string' \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"responseCustomFields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"transactionCustomFields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"profileCustomFields": {
"property1": [
"string"
],
"property2": [
"string"
]
}
}'Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }